/*
	You may incorporate this Apple sample source code into your program(s) without
	restriction. This Apple sample source code has been provided "AS IS" and the
	responsibility for its operation is yours. You are not permitted to redistribute
	this Apple sample source code as "Apple sample source code" after having made
	changes. If you're going to re-distribute the source, we require that you make
	it clear in the source that the code was descended from Apple sample source
	code, but that you've made changes.
*/

#pragma once

#ifndef __APPLEEVENTS__
#	include <AppleEvents.h>
#endif

enum
{
	kEventClass_ScriptableStuffIt			= 'SStu',
	kEventClass_MiscFileHandling			= 'MiFH'
};

enum
{
	kEventID_PrepareFilenameForUnix			= 'pffu',
	kEventID_Search							= 'find',
	kEventID_Delete							= 'dele',

	kEventID_Stuff							= 'stuf',
	kEventID_CountSegments					= 'cseg',
	kEventID_MakeSegments					= 'mseg',
	kEventID_EncodeIntoBinHex				= 'binx',
	kEventID_MakeArchiveSelfExtracting		= '2sea'
};

enum
{
	keySearchTarget							= 'inin',
	keyNameBeginsWith						= 'namb',
	keyFileTypeIsNot						= 'flt!',
	keyFileTypeIs							= 'ftis',
	keyIncludeContainers					= 'inco',

	keyConvertFileName						= 'cnvf',

	keySegsAreSelfExtracting				= 'segx',
	keySegmentSize							= 'segs',
	keyTargetAlias							= 'into',
	keyDeleteOriginals						= 'delo',
	keyNameTemplate							= 'namt',
	keyKeepSource							= 'keep',
	keyDestination							= 'dest'
};

extern Boolean gQuitting;

pascal OSErr ScriptableStuffItAppleEventHandler		(const AppleEvent *, AppleEvent *reply, UInt32 handlerRefcon);
pascal OSErr Stuff									(const AppleEvent *, AppleEvent *reply, long magicCookie);
pascal OSErr GetOptionalBoolean						(const AppleEvent *, Boolean *, AEKeyword);
pascal OSErr MakeSegments							(const AppleEvent *, AppleEvent *reply, long magicCookie);
pascal OSErr FindFiles								(const AppleEvent *, AppleEvent *reply);
pascal OSErr GetOptionalTextParameter				(const AppleEvent *, AEKeyword, UInt8 **);
